## python-authentic2-auth-fedict 1.1.5.g20791af

=== debian/changelog ===
python-authentic2-auth-fedict (1.1.5.g20791af-1~eob80+1) jessie-eobuilder; urgency=low

  * (20791a) always lock first and last names (TELE2-176)
  * (074df6) use include_package_data=True to get all resources (#35042)
  * (7da44f) debian: bump debhelper compatibility level (#32260)
  * (2c0ba7) debian: bump debhelper compatibility level (#32260)
  * (245b6f) add back get_auth_frontends to keep compatibility with current
    authentic

 -- eobuilder <eobuilder@entrouvert.com>  Tue, 10 Sep 2019 10:23:20 +0200

python-authentic2-auth-fedict (1.1) jessie-eobuilder; urgency=low

  * (95f57e) misc: rename authentication "frontend" to "authenticator" (#14475)

 -- eobuilder <eobuilder@entrouvert.com>  Tue, 19 Mar 2019 09:39:14 +0100

python-authentic2-auth-fedict (1.0) jessie-eobuilder; urgency=low

  * (3a5628) add missing time import
  * (6f94d3) keep local cache of fedict metadata (#31128)
  * (c0fb61) fields: fix attachment of country options in 1.11
  * (6732fc) ship with base mellon template, required for error handling (#27132)
  * (b53a42) handle native authentic birthdate field
  * (f9d008) fix login block (broken by 7f0bfb4) (#25649)
  * (7f0bfb) remove use of context_instance (#25531)
  * (f654df) urls: update urlpatterns for django 1.11
  * (f6ab6b) misc: fix check of nrn with zero as remainder (#24504)
  * (d4a976) handle post y2k birthdates
  * (ed2a6b) adapt national registry number for people born after 2000
  * (c08a33) do not set attributes to None, not supported anymore
  * (f4240b) handle sites without a national registration number field
  * (4e5b33) duplicate "date" kind with a prefix
  * (22b4d5) prepare for authentic changing serialization methods
  * (52abb3) debian: add conflict with future authentic changing attribute
    serialization
  * (b40cc0) use utils.login() for logging users in (similar to #15300)
  * (04db83) add support for nrn attribute being named "niss"
  * (de5b29) update user verified fields with national register on all logins
    (imio/14668)
  * (1a728f) allow None as RRN_POP_SERVICE_URL
  * (745ea3) translation update
  * (89510d) add custom error message for invalid nagional registry number
    (#imio16070)
  * (0b7ec6) update login box default style
  * (d30090) force authn context to be lasso.SAML2_AUTHN_CONTEXT_SMARTCARD_PKI
  * (b1ed89) add new users to default collectivity
  * (777eb2) translation update
  * (c7c235) remove unrelated FranceConnect message
  * (24ee4c) do not include field name in error message
  * (523b1b) remove debug info from eid profile block
  * (cdd7f5) replace eid picture by a better one
  * (3a6781) mark known absence of weddings as -
  * (3c0b46) manually set direct first/last names attributes
  * (6f9e3f) add missing comma
  * (6c282f) save() user before provisioning from NRN, to avoid first/last names
    conflicts
  * (99a510) don't special case first/last name in login view
  * (040987) set verified country field
  * (269680) provision birthdate from national register
  * (0f98e1) don't skip first and last name fields on registration view
  * (96a3b4) convert lieuxMariage to string even if it's an empty list
  * (632398) add support for birthplace attribute
  * (d89839) handle first and last names like other attributes
  * (a838ce) include support for lieuxMariage attribute
  * (ce0362) fields: don't crash when countries can't be requested (#13012)
  * (544166) Add a script to update django.po
  * (44d447) Add translations
  * (ecd1ab) More specific exception error message
  * (3eb0e8) Add '$' in regex expression to correct a strange bug in preprod only
    (not in local??)
  * (40b083) Change country field from text input to select field
  * (0df185) Change country to pays
  * (802e4a) raise new personnalerror  message for num_house field

 -- eobuilder <eobuilder@entrouvert.com>  Thu, 07 Mar 2019 10:39:34 +0100

python-authentic2-auth-fedict (0.9) jessie-eobuilder; urgency=low

  * (4a59dd) install custom css and js files

 -- eobuilder <eobuilder@entrouvert.com>  Thu, 14 Jul 2016 16:11:00 +0200

python-authentic2-auth-fedict (0.8) jessie-eobuilder; urgency=low

  * (bbdf08) Add new country field with passerelle autocomplete-widget
  * (be4e89) Move NumHouseField and NumPhoneField out of authentic config.py
    (ovveriding) in authentic2_auth_fedict

 -- eobuilder <eobuilder@entrouvert.com>  Wed, 13 Jul 2016 11:39:23 +0200

python-authentic2-auth-fedict (0.7) jessie-eobuilder; urgency=low

  * (12aaad) update Frontend class to match recent authentic changes

 -- eobuilder <eobuilder@entrouvert.com>  Mon, 27 Jun 2016 08:33:18 +0200

python-authentic2-auth-fedict (0.6) jessie-eobuilder; urgency=low

  * (ac1622) don't prefill with None
  * (4d2756) fake a persistent identifier
  * (7026d4) don't try to redirect using a non-existant Location from fedict error
    page
  * (012a68) mark attributes from eID or national register as verified
  * (393677) catch and log rrn pop service connection errors
  * (c89ef0) don't hardcode my nrn
  * (4f395d) fix label key of new kinds
  * (70d01a) don't display {first,last}_name on registration form
  * (d0b709) add provision from national register
  * (f704d4) add "street" kind, with autocomplete
  * (fc7b36) js: remove debugging statement
  * (ac7247) fix passing of class to date widget
  * (31ff7f) ship js and css files
  * (673b0d) add "date" as a new kind of profile field
  * (d8aca2) integrate declaration of NrnField in plugin
  * (36ae44) use csam logo on login block
  * (3eb502) display on profile page that the account is linked to an eid
  * (ef8b18) provision nrn, title & birthdate
  * (75f061) use fedid as federation key

 -- eobuilder <eobuilder@entrouvert.com>  Thu, 02 Jun 2016 11:31:21 +0200

python-authentic2-auth-fedict (0.5) jessie-eobuilder; urgency=low

  * (6b713e) debian packaging
  * (5a140e) initial version, based on authentic2_auth_saml
  * (6895bf) .gitignore
  * (a53e70) init repository with license file


