=== debian/control ===
Source: python-authentic2-auth-fedict
Maintainer: Frederic Peters <fpeters@entrouvert.com>
Section: python
Priority: optional
Build-Depends: python-setuptools, python3-setuptools, python-all, python3-all, debhelper (>= 10), dh-python, python-django, python3-django
Standards-Version: 3.9.1

Package: python-authentic2-auth-fedict
Architecture: all
Depends: ${misc:Depends},
    python-authentic2 (>= 2.1.20.1054)
Description: Fedict authentication frontend for Authentic2

Package: python3-authentic2-auth-fedict
Architecture: all
Depends: ${misc:Depends},
    python3-authentic2
Description: Fedict authentication frontend for Authentic2 (Python 3)
