## python-authentic2-auth-fedict 1.8.post5+g828075a

=== debian/changelog ===
python-authentic2-auth-fedict (1.8.post5+g828075a-1~eob90+1) stretch-eobuilder; urgency=low

  * (828075) misc: add variant deserialization method for dates/phones
  * (d6212c) duplicate phone attribute kind with dedicated name
  * (b603bd) misc: add black files/notes
  * (7a234d) trivial: apply black
  * (d85bd2) build: update to use origin/main

 -- eobuilder <eobuilder@entrouvert.com>  Mon, 18 Jan 2021 11:25:32 +0100

python-authentic2-auth-fedict (1.8) stretch-eobuilder; urgency=low

  * (5aac3e) mark user as not deleted on creation
  * (881656) don't make fake email look like authentic deleted user emails
  * (33fdf1) create temporary user with an invalid & random email address
  * (2b8835) use a2_utils.build_activation_url to create activation URL (#47895)

 -- eobuilder <eobuilder@entrouvert.com>  Tue, 20 Oct 2020 19:19:53 +0200

python-authentic2-auth-fedict (1.7) stretch-eobuilder; urgency=low

  * (08412e) account for itsme maybe returning empty SAML attributes (#45925)

 -- eobuilder <eobuilder@entrouvert.com>  Mon, 17 Aug 2020 14:31:25 +0200

python-authentic2-auth-fedict (1.6) stretch-eobuilder; urgency=low

  * (ab45da) give a default priority to authenticator

 -- eobuilder <eobuilder@entrouvert.com>  Tue, 11 Aug 2020 09:31:52 +0200

python-authentic2-auth-fedict (1.5) stretch-eobuilder; urgency=low

  * (9acdf6) py3: convert dictvalues() to list before indexing (2nd, #45149)
  * (efd146) py3: convert dictvalues() to list before indexing (#45149)
  * (54aa0a) misc: use django.urls

 -- eobuilder <eobuilder@entrouvert.com>  Wed, 15 Jul 2020 20:14:10 +0200

python-authentic2-auth-fedict (1.4) stretch-eobuilder; urgency=low

  * (49ab56) debian: use PYBUILD_DISABLE to disable tests
  * (9103f7) debian: switch to debhelper compat level 10
  * (1db1a1) jenkins: build packages for default eobuilder distributions
  * (2c2c27) templates: use <button> for buttons

 -- eobuilder <eobuilder@entrouvert.com>  Thu, 23 Apr 2020 21:41:00 +0200

python-authentic2-auth-fedict (1.3) stretch-eobuilder; urgency=low

  * (79871d) update metadata encoding handling
  * (4c2d2e) inherit from new base authenticator class (#41520)

 -- eobuilder <eobuilder@entrouvert.com>  Thu, 09 Apr 2020 20:07:00 +0200

python-authentic2-auth-fedict (1.2) stretch-eobuilder; urgency=low

  * (418a67) debian: add a package for python 3
  * (4ac5f2) misc: update setup.py for python 3
  * (8e575a) jenkins: use ci@enttrouvert.org for notification
  * (bd2fa0) add Jenkinsfile
  * (20791a) always lock first and last names (TELE2-176)
  * (074df6) use include_package_data=True to get all resources (#35042)
  * (7da44f) debian: bump debhelper compatibility level (#32260)
  * (2c0ba7) debian: bump debhelper compatibility level (#32260)
  * (245b6f) add back get_auth_frontends to keep compatibility with current
    authentic

 -- eobuilder <eobuilder@entrouvert.com>  Wed, 29 Jan 2020 13:32:07 +0100

python-authentic2-auth-fedict (1.1) stretch-eobuilder; urgency=low

  * (95f57e) misc: rename authentication "frontend" to "authenticator" (#14475)

 -- eobuilder <eobuilder@entrouvert.com>  Tue, 19 Mar 2019 09:39:14 +0100

python-authentic2-auth-fedict (1.0) stretch-eobuilder; urgency=low

  * (3a5628) add missing time import
  * (6f94d3) keep local cache of fedict metadata (#31128)
  * (c0fb61) fields: fix attachment of country options in 1.11
  * (6732fc) ship with base mellon template, required for error handling (#27132)
  * (b53a42) handle native authentic birthdate field
  * (f9d008) fix login block (broken by 7f0bfb4) (#25649)
  * (7f0bfb) remove use of context_instance (#25531)
  * (f654df) urls: update urlpatterns for django 1.11
  * (f6ab6b) misc: fix check of nrn with zero as remainder (#24504)
  * (d4a976) handle post y2k birthdates
  * (ed2a6b) adapt national registry number for people born after 2000
  * (c08a33) do not set attributes to None, not supported anymore
  * (f4240b) handle sites without a national registration number field
  * (4e5b33) duplicate "date" kind with a prefix
  * (22b4d5) prepare for authentic changing serialization methods
  * (52abb3) debian: add conflict with future authentic changing attribute
    serialization
  * (b40cc0) use utils.login() for logging users in (similar to #15300)
  * (04db83) add support for nrn attribute being named "niss"
  * (de5b29) update user verified fields with national register on all logins
    (imio/14668)
  * (1a728f) allow None as RRN_POP_SERVICE_URL
  * (745ea3) translation update
  * (89510d) add custom error message for invalid nagional registry number
    (#imio16070)
  * (0b7ec6) update login box default style
  * (d30090) force authn context to be lasso.SAML2_AUTHN_CONTEXT_SMARTCARD_PKI
  * (b1ed89) add new users to default collectivity
  * (777eb2) translation update
  * (c7c235) remove unrelated FranceConnect message
  * (24ee4c) do not include field name in error message
  * (523b1b) remove debug info from eid profile block
  * (cdd7f5) replace eid picture by a better one
  * (3a6781) mark known absence of weddings as -
  * (3c0b46) manually set direct first/last names attributes
  * (6f9e3f) add missing comma
  * (6c282f) save() user before provisioning from NRN, to avoid first/last names
    conflicts
  * (99a510) don't special case first/last name in login view
  * (040987) set verified country field
  * (269680) provision birthdate from national register
  * (0f98e1) don't skip first and last name fields on registration view
  * (96a3b4) convert lieuxMariage to string even if it's an empty list
  * (632398) add support for birthplace attribute
  * (d89839) handle first and last names like other attributes
  * (a838ce) include support for lieuxMariage attribute
  * (ce0362) fields: don't crash when countries can't be requested (#13012)
  * (544166) Add a script to update django.po
  * (44d447) Add translations
  * (ecd1ab) More specific exception error message
  * (3eb0e8) Add '$' in regex expression to correct a strange bug in preprod only

