=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=authentic2-auth-fedict
export PYBUILD_DISABLE=test

%:
	dh $@ --with python2,python3 --buildsystem=pybuild
