## python-authentic2-auth-fedict 1.22.post2+g86033d3

=== debian/changelog ===
python-authentic2-auth-fedict (1.22.post2+g86033d3-1~eob100+1) buster-eobuilder; urgency=low

  * (86033d) migrate authenticator to database (#66876)
  * (803d0c) misc: move authenticator code to models.py (#66876)

 -- eobuilder <eobuilder@entrouvert.com>  Thu, 07 Jul 2022 13:57:27 +0200

python-authentic2-auth-fedict (1.22) buster-eobuilder; urgency=low

  * (4fd018) trivial: bump black version to 22.3.0
  * (61ab90) misc: add support for new bosa authn_classrefs (#63311)

 -- eobuilder <eobuilder@entrouvert.com>  Sun, 03 Apr 2022 16:50:14 +0200

python-authentic2-auth-fedict (1.21) buster-eobuilder; urgency=low

  * (7a7f33) trivial: bump black version to 22.1.0 (#62312)
  * (cb5cf4) misc: pass template_base in context for django-mellon (#62203)
  * (7c6729) tests: fix targeting of login form now that it moved
  * (486a9a) make fedict login box appear before the username/password box (#62166)
  * (2cfaa9) jenkins: get back to an unusual Jenkinsfile (#61949)

 -- eobuilder <eobuilder@entrouvert.com>  Tue, 01 Mar 2022 19:30:24 +0100

python-authentic2-auth-fedict (1.20) buster-eobuilder; urgency=low

  * (f420f9) translation update
  * (f607b5) adapt image/text to configured factors (#61856)

 -- eobuilder <eobuilder@entrouvert.com>  Wed, 16 Feb 2022 14:43:38 +0100

python-authentic2-auth-fedict (1.19) buster-eobuilder; urgency=low

  * (b6d39c) mark linking to eid as a success
  * (d64609) copy email from logged-in user

 -- eobuilder <eobuilder@entrouvert.com>  Fri, 11 Feb 2022 14:07:01 +0100

python-authentic2-auth-fedict (1.18) buster-eobuilder; urgency=low

  * (b38696) translation update
  * (f8e543) trivial: add <div> around unlinking text and button
  * (fdb942) trivial: do not mention Publik in message
  * (f8566f) profile: add csam account-(un)linking capabilities (#60837)
  * (1114ee) templates: i18n on login block instructions (#60837)
  * (f4ccea) tests: add a tox.ini and other tox/pytest-related files (#61045)
  * (54dcde) tests: initiate module, for later unit testing implementation (#61045)
  * (592ffe) update Jenkinsfile for unit testing (#61045)
  * (48c545) misc: add isort/pyupgrade notes (#60931)
  * (1bdee3) trivial: apply isort & pyupgrade (#60931)
  * (c93ae3) jenkins: build wip packages for buster & bullseye

 -- eobuilder <eobuilder@entrouvert.com>  Fri, 11 Feb 2022 09:57:35 +0100

python-authentic2-auth-fedict (1.17) buster-eobuilder; urgency=low

  * (5e82d3) build: bump black version
  * (97eb1e) jenkins: build for buster & bullseye
  * (32e234) debian: remove python2 packages from build-depends

 -- eobuilder <eobuilder@entrouvert.com>  Mon, 22 Nov 2021 22:06:34 +0100

python-authentic2-auth-fedict (1.16) buster-eobuilder; urgency=low

  * (cd9ba9) trivial: update another location of authentic2.utils usage (#55937)
  * (583fea) debian: stop building a python2 package
  * (c0831b) update login view for new authentic symbol location (#55941)

 -- eobuilder <eobuilder@entrouvert.com>  Tue, 03 Aug 2021 14:57:50 +0200

python-authentic2-auth-fedict (1.15) buster-eobuilder; urgency=low

  * (ae7937) trivial: update import to fit old and new authentic function location
    (#55625)

 -- eobuilder <eobuilder@entrouvert.com>  Fri, 16 Jul 2021 08:09:18 +0200

python-authentic2-auth-fedict (1.14) buster-eobuilder; urgency=low

  * (3b8b5e) add more explicit inclusions of jquery (for streets and countries)
    (#55469)
  * (6db954) add explicit double-inclusion of jquery so it's sorted correctly
    (#55469)

 -- eobuilder <eobuilder@entrouvert.com>  Thu, 08 Jul 2021 12:17:48 +0200

python-authentic2-auth-fedict (1.13) buster-eobuilder; urgency=low

  * (42b978) remove unnecessary logger in hook event (#53949)
  * (fb0573) hook in registration view to set auth backend if required (#53757)
  * (245bac) record authentication method (#53757)

 -- eobuilder <eobuilder@entrouvert.com>  Wed, 12 May 2021 09:36:28 +0200

python-authentic2-auth-fedict (1.12) buster-eobuilder; urgency=low

  * (e8a20f) remove obsolete custom registration view
  * (97552a) record additional authentication event with nonce (#52446)

 -- eobuilder <eobuilder@entrouvert.com>  Fri, 07 May 2021 10:32:30 +0200

python-authentic2-auth-fedict (1.11) buster-eobuilder; urgency=low

  * (0cbaa5) always use failsafe attribute deserialization (#50902)

 -- eobuilder <eobuilder@entrouvert.com>  Fri, 05 Feb 2021 09:33:49 +0100

python-authentic2-auth-fedict (1.10) buster-eobuilder; urgency=low

  * (797c07) use urljoin to create fallback streets data URL (#50585)
  * (22de4a) use urljoin to create fallback country data URL (#50585)

 -- eobuilder <eobuilder@entrouvert.com>  Tue, 26 Jan 2021 18:28:27 +0100

python-authentic2-auth-fedict (1.9) buster-eobuilder; urgency=low

  * (828075) misc: add variant deserialization method for dates/phones
  * (d6212c) duplicate phone attribute kind with dedicated name
  * (b603bd) misc: add black files/notes
  * (7a234d) trivial: apply black
  * (d85bd2) build: update to use origin/main

 -- eobuilder <eobuilder@entrouvert.com>  Mon, 18 Jan 2021 11:25:32 +0100

python-authentic2-auth-fedict (1.8) buster-eobuilder; urgency=low

  * (5aac3e) mark user as not deleted on creation
  * (881656) don't make fake email look like authentic deleted user emails
  * (33fdf1) create temporary user with an invalid & random email address
  * (2b8835) use a2_utils.build_activation_url to create activation URL (#47895)

 -- eobuilder <eobuilder@entrouvert.com>  Tue, 20 Oct 2020 19:19:53 +0200
