=== debian/control ===
Source: python-authentic2-auth-fedict
Maintainer: Frederic Peters <fpeters@entrouvert.com>
Section: python
Priority: optional
Build-Depends: debhelper (>= 10),
               dh-python,
               python3-all,
               python3-django,
               python3-setuptools
Standards-Version: 3.9.1

Package: python3-authentic2-auth-fedict
Architecture: all
Depends: python3-authentic2, ${misc:Depends}
Description: Fedict authentication frontend for Authentic2 (Python 3)
