## python-authentic2-auth-fedict 1.40

=== debian/changelog ===
python-authentic2-auth-fedict (1.40-1~eob120+1) bookworm-eobuilder; urgency=low

  * (2cfa2f) update authenticate() method signature (#108924)

 -- eobuilder <eobuilder@entrouvert.com>  Thu, 07 Aug 2025 12:08:42 +0200
