## python-authentic2-auth-fedict 1.40.post1+g9cd4ded

=== debian/changelog ===
python-authentic2-auth-fedict (1.40.post1+g9cd4ded-1~eob120+1) bookworm-eobuilder; urgency=low

  * (9cd4de) ci: also build package for trixie (#111016)

 -- eobuilder <eobuilder@entrouvert.com>  Wed, 15 Oct 2025 10:13:29 +0200

python-authentic2-auth-fedict (1.40) bookworm-eobuilder; urgency=low

  * (2cfa2f) update authenticate() method signature (#108924)

 -- eobuilder <eobuilder@entrouvert.com>  Thu, 07 Aug 2025 12:08:42 +0200
