## python-authentic2-auth-fedict 1.41

=== debian/changelog ===
python-authentic2-auth-fedict (1.41-1~eob130+1) trixie-eobuilder; urgency=low

  * (9cd4de) ci: also build package for trixie (#111016)

 -- eobuilder <eobuilder@entrouvert.com>  Wed, 15 Oct 2025 10:13:29 +0200

python-authentic2-auth-fedict (1.40) trixie-eobuilder; urgency=low

  * (2cfa2f) update authenticate() method signature (#108924)

 -- eobuilder <eobuilder@entrouvert.com>  Thu, 07 Aug 2025 12:08:42 +0200

python-authentic2-auth-fedict (1.39) trixie-eobuilder; urgency=low

  * (aefe0a) misc: add new is_origin_for_user() method to authenticator (#106971)

 -- eobuilder <eobuilder@entrouvert.com>  Mon, 16 Jun 2025 13:48:33 +0200

python-authentic2-auth-fedict (1.38) trixie-eobuilder; urgency=low

  * (dc2af7) misc: let pre-commit apply changes (#101218)
  * (6c4e69) ci: add django-upgrade (#101218)
  * (7ad56a) ci: change pyupgrade to target python 3.11 (#101218)
  * (edf36b) ci: update pyupgrade version (#101218)
  * (252c9f) ci: update black version (#101218)
  * (39b8b9) ci: change black to target python 3.11 (#101218)
  * (3a9a87) ci: update nox to only test against django 4.2 (#101218)

 -- eobuilder <eobuilder@entrouvert.com>  Sun, 09 Feb 2025 15:03:14 +0100

python-authentic2-auth-fedict (1.37) trixie-eobuilder; urgency=low

  * (6e1c53) add explicit check for birthdate attribute kind (#99581)
  * (d839d6) misc: add TENANT_APPS configuration in README (#98307)

 -- eobuilder <eobuilder@entrouvert.com>  Mon, 09 Dec 2024 14:53:08 +0100

python-authentic2-auth-fedict (1.36) trixie-eobuilder; urgency=low

  * (bbab8e) ci: run tests against django 4 (#96175)
  * (abcae7) tests: pass get_response callable to middleware (#96175)
  * (58fd6f) misc: use django.urls function (#96175)
  * (1c8985) misc: use gettext_lazy (#96175)
  * (a594b7) misc: cleanup app registration (#96175)
  * (8047b3) ci: add a pytest.ini (#96370)
  * (49be31) ci: use nox (#96156)
  * (532ecf) trivial: update pre-commit-hooks to 4.6.0 (#93275)
  * (3a2aaf) ci: stop building for bullseye (#92876)
  * (4518bc) setup: use setuptools instead of distutils (#92876)

 -- eobuilder <eobuilder@entrouvert.com>  Tue, 05 Nov 2024 17:42:32 +0100

python-authentic2-auth-fedict (1.35) trixie-eobuilder; urgency=low

  * (e493ec) misc: disable cache in tests (#91266)

 -- eobuilder <eobuilder@entrouvert.com>  Thu, 30 May 2024 08:45:11 +0200

python-authentic2-auth-fedict (1.34) trixie-eobuilder; urgency=low

  * (a3753c) misc: remove metadata cache as django-mellon has that now (#88579)

 -- eobuilder <eobuilder@entrouvert.com>  Sat, 23 Mar 2024 18:20:26 +0100

python-authentic2-auth-fedict (1.33) trixie-eobuilder; urgency=low

  * (e257c5) update beid/itsme images with improved better versions (#81401)
  * (563762) ci: keep on using pylint 2 while pylint-django is not ready (#81905)
  * (fe520f) misc: update git-blame-ignore-revs to ignore quote changes (#79788)
  * (cc93ed) misc: apply double-quote-string-fixer (#79788)
  * (8a0ccd) misc: add pre commit hook to force single quotes (#79788)

 -- eobuilder <eobuilder@entrouvert.com>  Thu, 05 Oct 2023 09:18:12 +0200

python-authentic2-auth-fedict (1.32) trixie-eobuilder; urgency=low

  * (d78e91) ci: build deb package for bookworm (#78968)

 -- eobuilder <eobuilder@entrouvert.com>  Fri, 23 Jun 2023 17:02:50 +0200

python-authentic2-auth-fedict (1.31) trixie-eobuilder; urgency=low

  * (b750ba) tox: mark build in error if pylint fails (#61362)
  * (fa8579) tox: do not run pylint on .egg-info directory (#61362)
  * (6cd2fc) misc: use with-statement to open files (#61362)
  * (6d92e2) misc: use lazy logging (#61362)
  * (854b7b) misc: remove old import location fallback (#61362)
  * (45f99d) misc: ignore modelform-uses-exclude (#61362)
  * (d18f51) misc: give imported class its own name (#61362)
  * (6a9578) misc: add timeouts to requests (#61362)
  * (3a43f1) misc: remove unused variable (#61362)
  * (97bbe1) misc: remove unused imports (#61362)
  * (eef804) tox: make pylint run (remove limits, add lasso and psycopg2) (#61362)

 -- eobuilder <eobuilder@entrouvert.com>  Thu, 25 May 2023 09:24:28 +0200

python-authentic2-auth-fedict (1.30) trixie-eobuilder; urgency=low

  * (187c9b) templates: wrap login form with a .cell--body div (#76861)

 -- eobuilder <eobuilder@entrouvert.com>  Fri, 21 Apr 2023 09:51:28 +0200

python-authentic2-auth-fedict (1.29) trixie-eobuilder; urgency=low

  * (a32dc9) do not rely on pkg_resources (#46476)
  * (1408cc) ci: remove Django 2.2 target (#75506)
  * (653ea6) tox: add django3.2 (and matching dependencies) target (#74995)
  * (dd1944) ci: update .tar.gz URLs for gitea (part 2, like #74706)
  * (90277e) ci: update .tar.gz URLs for gitea (like #74706)
  * (317a95) Prepare Jenkinsfile for Gitea migration (#74572)

 -- eobuilder <eobuilder@entrouvert.com>  Wed, 22 Mar 2023 11:10:24 +0100

python-authentic2-auth-fedict (1.28) trixie-eobuilder; urgency=low

  * (4951c3) misc: handle missing title or birthdate profile attributes (#74596)
  * (cc60ef) ci: upgrade isort (#74044)
  * (5e875d) ci: only build package for bullseye (#72729)
  * (5e5ebf) tests: use https:// scheme in webtest client (#71945)

 -- eobuilder <eobuilder@entrouvert.com>  Thu, 16 Feb 2023 14:14:14 +0100

python-authentic2-auth-fedict (1.27) trixie-eobuilder; urgency=low

  * (32e141) tests: remove unused import (#70969)
  * (adea03) ci: update pyupgrade to 3.1.0 (#70693)

 -- eobuilder <eobuilder@entrouvert.com>  Thu, 03 Nov 2022 14:28:43 +0100

python-authentic2-auth-fedict (1.26) trixie-eobuilder; urgency=low

  * (eb8ba9) misc: inherit from authentic2_auh_saml AppConfig (#69739)
  * (4e60a1) misc: move AppConfing in apps module (#69739)

 -- eobuilder <eobuilder@entrouvert.com>  Wed, 19 Oct 2022 13:10:52 +0200

python-authentic2-auth-fedict (1.25) trixie-eobuilder; urgency=low

  * (07eaca) forms: remove old mixin (#68204)
  * (badf4d) tests: remove broken migration test (#68204)

 -- eobuilder <eobuilder@entrouvert.com>  Wed, 17 Aug 2022 10:00:02 +0200
